### Method

# GimpUi ProcedureDialog get_spin_scale

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_get_spin_scale (
      GimpProcedureDialog* dialog,
      const gchar* property,
      gdouble factor
    )

#### Description [src]

Creates a new `GimpSpinScale` for `property` which must necessarily be an integer or double property. This can be used instead of `gimp_procedure_dialog_get_widget()` in particular if you want to tweak the display factor. A typical example is showing a [0.0, 1.0] range as [0.0, 100.0] instead (`factor` = 100.0).

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

#### Parameters

`property` | `const gchar*`
| Name of the int or double property to build a `GimpSpinScale` for. It must be a property of the `GimpProcedure` `dialog` has been created for.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`factor` | `gdouble`
| A display factor for the range shown by the widget.

#### Return value

Returns: | `GtkWidget`
| The `GtkWidget` representing `property`. The object belongs to `dialog` and must not be freed.
| The data is owned by the instance.